content/operate/rs/7.22/references/rest-api/requests/modules/config.md
{{<banner-article>}}
This REST API path is deprecated as of Redis Enterprise Software version 7.4. Use [PUT /v2/bdbs/<uid>]({{<relref "/operate/rs/7.22/references/rest-api/requests/bdbs#put-bdbs-action">}}) instead.
{{</banner-article>}}
| Method | Path | Description |
|---|---|---|
| POST | /v1/modules/config/bdb/{uid} | Configure module |
POST /v1/modules/config/bdb/{string: uid}
Use the module runtime configuration command (if defined) to configure new arguments for the module.
| Permission name |
|---|
| [edit_bdb_module]({{< relref "/operate/rs/7.22/references/rest-api/permissions#edit_bdb_module" >}}) |
POST /v1/modules/config/bdb/1
{
"modules": [
{
"module_name": "search",
"module_args": "MINPREFIX 3 MAXEXPANSIONS 1000"
}
]
}
| Key | Value | Description |
|---|---|---|
| Host | cnm.cluster.fqdn | Domain name |
| Accept | application/json | Accepted media type |
| Field | Type | Description |
|---|---|---|
| modules | list of JSON objects | List of modules (module_name) and their new configuration settings (module_args) |
| module_name | search | |
ReJSON | ||
graph | ||
timeseries | ||
bf | Module's name | |
| module_args | string | Module command line arguments (pattern does not allow special characters &,<,>,") |
Returns a status code. If an error occurs, the response body may include an error code and message with more details.
When errors are reported, the server may return a JSON object with error_code and message field that provide additional information. The following are possible error_code values:
| Code | Description |
|---|---|
| db_not_exist | Database with given UID doesn't exist in cluster |
| missing_field | "module_name" or "module_args" are not defined in request |
| invalid_schema | JSON object received is not a dict object |
| param_error | "module_args" parameter was not parsed properly |
| module_not_exist | Module with given "module_name" does not exist for the database |
| Code | Description |
|---|---|
| 200 OK | Success, module updated on bdb. |
| 404 Not Found | bdb not found. |
| 400 Bad Request | Bad or missing configuration parameters. |
| 406 Not Acceptable | Module does not support runtime configuration of arguments. |